hoopl-3.8.7.3: A library to support dataflow analysis and optimization

Safe Haskell | Safe

Compiler.Hoopl.Passes.DList

Synopsis

- type Doms = WithBot [Label]
- domEntry :: Doms
- domLattice :: DataflowLattice Doms
- domPass :: (NonLocal n, Monad m) => FwdPass m n Doms

# Documentation

type Doms = WithBot [Label]

List of labels, extended with a standard bottom element

domEntry :: Doms

The fact that goes into the entry of a dominator analysis: the first node is dominated only by the entry point, which is represented by the empty list of labels.

domLattice :: DataflowLattice Doms

domPass :: (NonLocal n, Monad m) => FwdPass m n Doms

Dominator pass